crashpad::internal::ClientData Class Reference

The context data for registered threadpool waits. More...

## Public Member Functions

ClientData (HANDLE port, ExceptionHandlerServer::Delegate *delegate, ScopedKernelHANDLE process, ScopedKernelHANDLE crash_dump_requested_event, ScopedKernelHANDLE non_crash_dump_requested_event, ScopedKernelHANDLE non_crash_dump_completed_event, WinVMAddress crash_exception_information_address, WinVMAddress non_crash_exception_information_address, WinVMAddress debug_critical_section_address, WAITORTIMERCALLBACK crash_dump_request_callback, WAITORTIMERCALLBACK non_crash_dump_request_callback, WAITORTIMERCALLBACK process_end_callback)

base::Lock * | lock ()
HANDLE | port () const
ExceptionHandlerServer::Delegate * | delegate () const
HANDLE | crash_dump_requested_event () const
HANDLE | non_crash_dump_requested_event () const
HANDLE | non_crash_dump_completed_event () const
WinVMAddress | crash_exception_information_address () const
WinVMAddress | non_crash_exception_information_address () const
WinVMAddress | debug_critical_section_address () const
HANDLE | process () const

## Detailed Description

The context data for registered threadpool waits.

This object must be created and destroyed on the main thread. Access must be guarded by use of the lock() with the exception of the threadpool wait variables which are accessed only by the main thread.

The documentation for this class was generated from the following file:

- util/win/exception_handler_server.cc